package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordChengxingDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 成型记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordChengxingMapper extends BaseMapperX<RecordChengxingDO> {

    default PageResult<RecordChengxingDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordChengxingDO>()
                .eq(RecordChengxingDO::getRecordId, recordId)
                .orderByDesc(RecordChengxingDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordChengxingDO::getRecordId, recordId);
    }

}